Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface InsertPanel

All Superinterfaces:
  IndexedPanel

All Known Subinterfaces:
  InsertPanel.ForIsWidget

All Known Implementing Classes:
  AbsolutePanel, DeckLayoutPanel, DeckPanel, DecoratedStackPanel, FlowPanel, HorizontalPanel, RootPanel, StackPanel, VerticalPanel

    public interface InsertPanel

extends IndexedPanel

Implemented by `IndexedPanel`s that also allow insertions.

Nested Class Summary
`static interface` | `InsertPanel.ForIsWidget` Extends this interface with convenience methods to handle `IsWidget`.

Method Summary
`void` | `add(Widget w)` Adds a child widget to this panel.
`void` | `insert(Widget w, int beforeIndex)` Inserts a child widget before the specified index.

Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel
`getWidget, getWidgetCount, getWidgetIndex, remove`

Method Detail

### add

    void add(Widget w)

  Adds a child widget to this panel.

  Parameters:
    `w` - the child widget to be added

### insert

    void insert(Widget w,
                int beforeIndex)

  Inserts a child widget before the specified index. If the widget is already a child of this panel, it will be moved to the specified index.

  Parameters:
    `w` - the child widget to be inserted
    `beforeIndex` - the index before which it will be inserted
  Throws:
    `java.lang.IndexOutOfBoundsException` - if `beforeIndex` is out of range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD